package org.tizen.gwt.sample.raphaelpaint.client.overlay;

import com.google.gwt.core.client.JavaScriptObject;

public class RaphaelColor extends JavaScriptObject {

	protected RaphaelColor() {}
	
	public final native int red() /*-{
		return this.r;
	}-*/;
	
	public final native int green() /*-{
		return this.g;
	}-*/;
	
	public final native int blue() /*-{
		return this.b;
	}-*/;
	
	public final native String hex() /*-{
		return this.hex;
	}-*/;
	
	public final native boolean error() /*-{
		return this.error;
	}-*/;
	
	public final native double hue() /*-{
		return this.h;
	}-*/;
	
	public final native double saturation() /*-{
		return this.s;
	}-*/;
	
	public final native double brightness() /*-{
		return this.v;
	}-*/;
	
	public final native double lightness() /*-{
		return this.l;
	}-*/;
}
